<?php
namespace Mollie\Payment\Block\Adminhtml\System\Config\Button\Documentation;

/**
 * Interceptor class for @see \Mollie\Payment\Block\Adminhtml\System\Config\Button\Documentation
 */
class Interceptor extends \Mollie\Payment\Block\Adminhtml\System\Config\Button\Documentation implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, array $data = [], ?\Magento\Framework\View\Helper\SecureHtmlRenderer $secureRenderer = null)
    {
        $this->___init();
        parent::__construct($context, $data, $secureRenderer);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
